AI Sync

Courses

Course Analytics

GEThttps://app.rizzdial.com/api/knowledge-hub/courses/{id}/analytics
Course Analytics
curl --request GET \
  --url https://app.rizzdial.com/api/knowledge-hub/courses/<id>/analytics \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "course": {
      "id": "MQ==",
      "title": "Onboarding",
      "status": "draft",
      "added_by": 12,
      "thumbnail": null,
      "company_id": 12,
      "created_at": "2026-10-21T08:00:00.000000Z",
      "updated_at": "2026-10-21T08:00:00.000000Z",
      "visibility": "public",
      "description": null,
      "preview_enabled": false,
      "preview_description": null,
      "preview_content_limit": 1
    },
    "enrollments": [],
    "total_lessons": 4,
    "completion_rate": 50,
    "total_enrollments": 2,
    "completed_enrollments": 1
  },
  "success": true
}

Course Analytics#

Lesson count, enrollments, completion rate, and enrollment rows. Requires view-knowledge-hub.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 id from the matching list or builder. A raw numeric id is also accepted.

curl --request GET \
  --url https://app.rizzdial.com/api/knowledge-hub/courses/MQ==/analytics \
  --header 'Authorization: Bearer {{bearer_token}}'
data.courseobject

Course with base64 id

data.total_lessonsinteger

Lessons across all categories

data.total_enrollmentsinteger

Course assignment rows

data.completed_enrollmentsinteger

Assignments with status completed

data.completion_ratenumber

Percent, 2 decimals. 0 when there are no enrollments

data.enrollmentsarray

Assignment rows with base64 id and nested user (id, name, email, profile_img)